
#include <ioat91sam7x256.h>
void delay (void);

void main()
{
  AT91C_BASE_WDTC->WDTC_WDMR = AT91C_WDTC_WDDIS; // AT91C_WDTC_WDDIS=(1<<15)
  AT91C_BASE_RSTC->RSTC_RMR=0xA5000001; 
  
  AT91C_BASE_CKGR->CKGR_MOR = 0xF01;  // enable main oscilator bit1 : MOSCEN || set start up bit 8-15
  AT91C_BASE_CKGR->CKGR_PLLR = 0x2903FFC;  // 0-7 DIV . 8-13 PLL count .14-15 PLLB(out) . 16-26 multiplier . 28-29 usb divider
  
  AT91C_BASE_PMC->PMC_MCKR = 0x3; // 0-1 (CCS) clock source selection (sclk-main clock-pll) . 2-4(PRES)master clock prescaler 
  AT91C_BASE_PMC->PMC_SCER = 0x1; // system clock enable register bit 0 (PCK)
  AT91C_BASE_PMC->PMC_PCER = (1<<2 | 1<<3) ; // enable pio clock PIO A and B
  
  AT91C_BASE_PIOA->PIO_PER=(1<<23 | 1<<24);  //(PIO Enable Register) enable PIO for crrospendin pins(disable prepherals) PA23 - PA24  LED   
  AT91C_BASE_PIOA->PIO_OER=(1<<24 | 1<<23);  //Out put enable register

  AT91C_BASE_PIOA->PIO_CODR=(1<<24 | 1<<23); 

  while(1)
  {
   delay(); 
   AT91C_BASE_PIOA->PIO_SODR=(1<<24 );
   delay();   
   AT91C_BASE_PIOA->PIO_CODR=(1<<24 );
  }
  
}

void delay (void)
{
 unsigned long i,j;
 for (i=0;i<1000000;i++)
  for (j=0;j<1000000;j++);
}
                               


